Daily bump.
[official-gcc.git] / libf2c / libF77 / configure
blob5b6a257737b91f8d92f58e47d1882a248600475d
1 #! /bin/sh
3 # Guess values for system-dependent variables and create Makefiles.
4 # Generated automatically using autoconf version 2.13
5 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
7 # This configure script is free software; the Free Software Foundation
8 # gives unlimited permission to copy, distribute and modify it.
10 # Defaults:
11 ac_help=
12 ac_default_prefix=/usr/local
13 # Any additions from configure.in:
15 # Initialize some variables set by options.
16 # The variables have the same names as the options, with
17 # dashes changed to underlines.
18 build=NONE
19 cache_file=./config.cache
20 exec_prefix=NONE
21 host=NONE
22 no_create=
23 nonopt=NONE
24 no_recursion=
25 prefix=NONE
26 program_prefix=NONE
27 program_suffix=NONE
28 program_transform_name=s,x,x,
29 silent=
30 site=
31 sitefile=
32 srcdir=
33 target=NONE
34 verbose=
35 x_includes=NONE
36 x_libraries=NONE
37 bindir='${exec_prefix}/bin'
38 sbindir='${exec_prefix}/sbin'
39 libexecdir='${exec_prefix}/libexec'
40 datadir='${prefix}/share'
41 sysconfdir='${prefix}/etc'
42 sharedstatedir='${prefix}/com'
43 localstatedir='${prefix}/var'
44 libdir='${exec_prefix}/lib'
45 includedir='${prefix}/include'
46 oldincludedir='/usr/include'
47 infodir='${prefix}/info'
48 mandir='${prefix}/man'
50 # Initialize some other variables.
51 subdirs=
52 MFLAGS= MAKEFLAGS=
53 SHELL=${CONFIG_SHELL-/bin/sh}
54 # Maximum number of lines to put in a shell here document.
55 ac_max_here_lines=12
57 ac_prev=
58 for ac_option
61 # If the previous option needs an argument, assign it.
62 if test -n "$ac_prev"; then
63 eval "$ac_prev=\$ac_option"
64 ac_prev=
65 continue
68 case "$ac_option" in
69 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
70 *) ac_optarg= ;;
71 esac
73 # Accept the important Cygnus configure options, so we can diagnose typos.
75 case "$ac_option" in
77 -bindir | --bindir | --bindi | --bind | --bin | --bi)
78 ac_prev=bindir ;;
79 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
80 bindir="$ac_optarg" ;;
82 -build | --build | --buil | --bui | --bu)
83 ac_prev=build ;;
84 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
85 build="$ac_optarg" ;;
87 -cache-file | --cache-file | --cache-fil | --cache-fi \
88 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
89 ac_prev=cache_file ;;
90 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
91 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
92 cache_file="$ac_optarg" ;;
94 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
95 ac_prev=datadir ;;
96 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
97 | --da=*)
98 datadir="$ac_optarg" ;;
100 -disable-* | --disable-*)
101 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
102 # Reject names that are not valid shell variable names.
103 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
104 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
106 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
107 eval "enable_${ac_feature}=no" ;;
109 -enable-* | --enable-*)
110 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
111 # Reject names that are not valid shell variable names.
112 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
113 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
115 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
116 case "$ac_option" in
117 *=*) ;;
118 *) ac_optarg=yes ;;
119 esac
120 eval "enable_${ac_feature}='$ac_optarg'" ;;
122 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
123 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
124 | --exec | --exe | --ex)
125 ac_prev=exec_prefix ;;
126 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
127 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
128 | --exec=* | --exe=* | --ex=*)
129 exec_prefix="$ac_optarg" ;;
131 -gas | --gas | --ga | --g)
132 # Obsolete; use --with-gas.
133 with_gas=yes ;;
135 -help | --help | --hel | --he)
136 # Omit some internal or obsolete options to make the list less imposing.
137 # This message is too long to be a string in the A/UX 3.1 sh.
138 cat << EOF
139 Usage: configure [options] [host]
140 Options: [defaults in brackets after descriptions]
141 Configuration:
142 --cache-file=FILE cache test results in FILE
143 --help print this message
144 --no-create do not create output files
145 --quiet, --silent do not print \`checking...' messages
146 --site-file=FILE use FILE as the site file
147 --version print the version of autoconf that created configure
148 Directory and file names:
149 --prefix=PREFIX install architecture-independent files in PREFIX
150 [$ac_default_prefix]
151 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
152 [same as prefix]
153 --bindir=DIR user executables in DIR [EPREFIX/bin]
154 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
155 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
156 --datadir=DIR read-only architecture-independent data in DIR
157 [PREFIX/share]
158 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
159 --sharedstatedir=DIR modifiable architecture-independent data in DIR
160 [PREFIX/com]
161 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
162 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
163 --includedir=DIR C header files in DIR [PREFIX/include]
164 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
165 --infodir=DIR info documentation in DIR [PREFIX/info]
166 --mandir=DIR man documentation in DIR [PREFIX/man]
167 --srcdir=DIR find the sources in DIR [configure dir or ..]
168 --program-prefix=PREFIX prepend PREFIX to installed program names
169 --program-suffix=SUFFIX append SUFFIX to installed program names
170 --program-transform-name=PROGRAM
171 run sed PROGRAM on installed program names
173 cat << EOF
174 Host type:
175 --build=BUILD configure for building on BUILD [BUILD=HOST]
176 --host=HOST configure for HOST [guessed]
177 --target=TARGET configure for TARGET [TARGET=HOST]
178 Features and packages:
179 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
180 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
181 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
182 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
183 --x-includes=DIR X include files are in DIR
184 --x-libraries=DIR X library files are in DIR
186 if test -n "$ac_help"; then
187 echo "--enable and --with options recognized:$ac_help"
189 exit 0 ;;
191 -host | --host | --hos | --ho)
192 ac_prev=host ;;
193 -host=* | --host=* | --hos=* | --ho=*)
194 host="$ac_optarg" ;;
196 -includedir | --includedir | --includedi | --included | --include \
197 | --includ | --inclu | --incl | --inc)
198 ac_prev=includedir ;;
199 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
200 | --includ=* | --inclu=* | --incl=* | --inc=*)
201 includedir="$ac_optarg" ;;
203 -infodir | --infodir | --infodi | --infod | --info | --inf)
204 ac_prev=infodir ;;
205 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
206 infodir="$ac_optarg" ;;
208 -libdir | --libdir | --libdi | --libd)
209 ac_prev=libdir ;;
210 -libdir=* | --libdir=* | --libdi=* | --libd=*)
211 libdir="$ac_optarg" ;;
213 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
214 | --libexe | --libex | --libe)
215 ac_prev=libexecdir ;;
216 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
217 | --libexe=* | --libex=* | --libe=*)
218 libexecdir="$ac_optarg" ;;
220 -localstatedir | --localstatedir | --localstatedi | --localstated \
221 | --localstate | --localstat | --localsta | --localst \
222 | --locals | --local | --loca | --loc | --lo)
223 ac_prev=localstatedir ;;
224 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
225 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
226 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
227 localstatedir="$ac_optarg" ;;
229 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
230 ac_prev=mandir ;;
231 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
232 mandir="$ac_optarg" ;;
234 -nfp | --nfp | --nf)
235 # Obsolete; use --without-fp.
236 with_fp=no ;;
238 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
239 | --no-cr | --no-c)
240 no_create=yes ;;
242 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
243 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
244 no_recursion=yes ;;
246 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
247 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
248 | --oldin | --oldi | --old | --ol | --o)
249 ac_prev=oldincludedir ;;
250 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
251 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
252 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
253 oldincludedir="$ac_optarg" ;;
255 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
256 ac_prev=prefix ;;
257 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
258 prefix="$ac_optarg" ;;
260 -program-prefix | --program-prefix | --program-prefi | --program-pref \
261 | --program-pre | --program-pr | --program-p)
262 ac_prev=program_prefix ;;
263 -program-prefix=* | --program-prefix=* | --program-prefi=* \
264 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
265 program_prefix="$ac_optarg" ;;
267 -program-suffix | --program-suffix | --program-suffi | --program-suff \
268 | --program-suf | --program-su | --program-s)
269 ac_prev=program_suffix ;;
270 -program-suffix=* | --program-suffix=* | --program-suffi=* \
271 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
272 program_suffix="$ac_optarg" ;;
274 -program-transform-name | --program-transform-name \
275 | --program-transform-nam | --program-transform-na \
276 | --program-transform-n | --program-transform- \
277 | --program-transform | --program-transfor \
278 | --program-transfo | --program-transf \
279 | --program-trans | --program-tran \
280 | --progr-tra | --program-tr | --program-t)
281 ac_prev=program_transform_name ;;
282 -program-transform-name=* | --program-transform-name=* \
283 | --program-transform-nam=* | --program-transform-na=* \
284 | --program-transform-n=* | --program-transform-=* \
285 | --program-transform=* | --program-transfor=* \
286 | --program-transfo=* | --program-transf=* \
287 | --program-trans=* | --program-tran=* \
288 | --progr-tra=* | --program-tr=* | --program-t=*)
289 program_transform_name="$ac_optarg" ;;
291 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
292 | -silent | --silent | --silen | --sile | --sil)
293 silent=yes ;;
295 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
296 ac_prev=sbindir ;;
297 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
298 | --sbi=* | --sb=*)
299 sbindir="$ac_optarg" ;;
301 -sharedstatedir | --sharedstatedir | --sharedstatedi \
302 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
303 | --sharedst | --shareds | --shared | --share | --shar \
304 | --sha | --sh)
305 ac_prev=sharedstatedir ;;
306 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
307 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
308 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
309 | --sha=* | --sh=*)
310 sharedstatedir="$ac_optarg" ;;
312 -site | --site | --sit)
313 ac_prev=site ;;
314 -site=* | --site=* | --sit=*)
315 site="$ac_optarg" ;;
317 -site-file | --site-file | --site-fil | --site-fi | --site-f)
318 ac_prev=sitefile ;;
319 -site-file=* | --site-file=* | --site-fil=* | --site-fi=* | --site-f=*)
320 sitefile="$ac_optarg" ;;
322 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
323 ac_prev=srcdir ;;
324 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
325 srcdir="$ac_optarg" ;;
327 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
328 | --syscon | --sysco | --sysc | --sys | --sy)
329 ac_prev=sysconfdir ;;
330 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
331 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
332 sysconfdir="$ac_optarg" ;;
334 -target | --target | --targe | --targ | --tar | --ta | --t)
335 ac_prev=target ;;
336 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
337 target="$ac_optarg" ;;
339 -v | -verbose | --verbose | --verbos | --verbo | --verb)
340 verbose=yes ;;
342 -version | --version | --versio | --versi | --vers)
343 echo "configure generated by autoconf version 2.13"
344 exit 0 ;;
346 -with-* | --with-*)
347 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
348 # Reject names that are not valid shell variable names.
349 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
350 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
352 ac_package=`echo $ac_package| sed 's/-/_/g'`
353 case "$ac_option" in
354 *=*) ;;
355 *) ac_optarg=yes ;;
356 esac
357 eval "with_${ac_package}='$ac_optarg'" ;;
359 -without-* | --without-*)
360 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
361 # Reject names that are not valid shell variable names.
362 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
363 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
365 ac_package=`echo $ac_package| sed 's/-/_/g'`
366 eval "with_${ac_package}=no" ;;
368 --x)
369 # Obsolete; use --with-x.
370 with_x=yes ;;
372 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
373 | --x-incl | --x-inc | --x-in | --x-i)
374 ac_prev=x_includes ;;
375 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
376 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
377 x_includes="$ac_optarg" ;;
379 -x-libraries | --x-libraries | --x-librarie | --x-librari \
380 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
381 ac_prev=x_libraries ;;
382 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
383 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
384 x_libraries="$ac_optarg" ;;
386 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
390 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
391 echo "configure: warning: $ac_option: invalid host type" 1>&2
393 if test "x$nonopt" != xNONE; then
394 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
396 nonopt="$ac_option"
399 esac
400 done
402 if test -n "$ac_prev"; then
403 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
406 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
408 # File descriptor usage:
409 # 0 standard input
410 # 1 file creation
411 # 2 errors and warnings
412 # 3 some systems may open it to /dev/tty
413 # 4 used on the Kubota Titan
414 # 6 checking for... messages and results
415 # 5 compiler messages saved in config.log
416 if test "$silent" = yes; then
417 exec 6>/dev/null
418 else
419 exec 6>&1
421 exec 5>./config.log
423 echo "\
424 This file contains any messages produced by compilers while
425 running configure, to aid debugging if configure makes a mistake.
426 " 1>&5
428 # Strip out --no-create and --no-recursion so they do not pile up.
429 # Also quote any args containing shell metacharacters.
430 ac_configure_args=
431 for ac_arg
433 case "$ac_arg" in
434 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
435 | --no-cr | --no-c) ;;
436 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
437 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
438 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
439 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
440 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
441 esac
442 done
444 # NLS nuisances.
445 # Only set these to C if already set. These must not be set unconditionally
446 # because not all systems understand e.g. LANG=C (notably SCO).
447 # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
448 # Non-C LC_CTYPE values break the ctype check.
449 if test "${LANG+set}" = set; then LANG=C; export LANG; fi
450 if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
451 if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
452 if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
454 # confdefs.h avoids OS command line length limits that DEFS can exceed.
455 rm -rf conftest* confdefs.h
456 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
457 echo > confdefs.h
459 # A filename unique to this package, relative to the directory that
460 # configure is in, which we can look for to find out if srcdir is correct.
461 ac_unique_file=getarg_.c
463 # Find the source files, if location was not specified.
464 if test -z "$srcdir"; then
465 ac_srcdir_defaulted=yes
466 # Try the directory containing this script, then its parent.
467 ac_prog=$0
468 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
469 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
470 srcdir=$ac_confdir
471 if test ! -r $srcdir/$ac_unique_file; then
472 srcdir=..
474 else
475 ac_srcdir_defaulted=no
477 if test ! -r $srcdir/$ac_unique_file; then
478 if test "$ac_srcdir_defaulted" = yes; then
479 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
480 else
481 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
484 srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
486 # Prefer explicitly selected file to automatically selected ones.
487 if test -z "$sitefile"; then
488 if test -z "$CONFIG_SITE"; then
489 if test "x$prefix" != xNONE; then
490 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
491 else
492 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
495 else
496 CONFIG_SITE="$sitefile"
498 for ac_site_file in $CONFIG_SITE; do
499 if test -r "$ac_site_file"; then
500 echo "loading site script $ac_site_file"
501 . "$ac_site_file"
503 done
505 if test -r "$cache_file"; then
506 echo "loading cache $cache_file"
507 . $cache_file
508 else
509 echo "creating cache $cache_file"
510 > $cache_file
513 ac_ext=c
514 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
515 ac_cpp='$CPP $CPPFLAGS'
516 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
517 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
518 cross_compiling=$ac_cv_prog_cc_cross
520 ac_exeext=
521 ac_objext=o
522 if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
523 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
524 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
525 ac_n= ac_c='
526 ' ac_t=' '
527 else
528 ac_n=-n ac_c= ac_t=
530 else
531 ac_n= ac_c='\c' ac_t=
539 # For g77 we'll set CC to point at the built gcc, but this will get it into
540 # the makefiles
541 # Extract the first word of "gcc", so it can be a program name with args.
542 set dummy gcc; ac_word=$2
543 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
544 echo "configure:545: checking for $ac_word" >&5
545 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
546 echo $ac_n "(cached) $ac_c" 1>&6
547 else
548 if test -n "$CC"; then
549 ac_cv_prog_CC="$CC" # Let the user override the test.
550 else
551 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
552 ac_dummy="$PATH"
553 for ac_dir in $ac_dummy; do
554 test -z "$ac_dir" && ac_dir=.
555 if test -f $ac_dir/$ac_word; then
556 ac_cv_prog_CC="gcc"
557 break
559 done
560 IFS="$ac_save_ifs"
563 CC="$ac_cv_prog_CC"
564 if test -n "$CC"; then
565 echo "$ac_t""$CC" 1>&6
566 else
567 echo "$ac_t""no" 1>&6
570 if test -z "$CC"; then
571 # Extract the first word of "cc", so it can be a program name with args.
572 set dummy cc; ac_word=$2
573 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
574 echo "configure:575: checking for $ac_word" >&5
575 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
576 echo $ac_n "(cached) $ac_c" 1>&6
577 else
578 if test -n "$CC"; then
579 ac_cv_prog_CC="$CC" # Let the user override the test.
580 else
581 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
582 ac_prog_rejected=no
583 ac_dummy="$PATH"
584 for ac_dir in $ac_dummy; do
585 test -z "$ac_dir" && ac_dir=.
586 if test -f $ac_dir/$ac_word; then
587 if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
588 ac_prog_rejected=yes
589 continue
591 ac_cv_prog_CC="cc"
592 break
594 done
595 IFS="$ac_save_ifs"
596 if test $ac_prog_rejected = yes; then
597 # We found a bogon in the path, so make sure we never use it.
598 set dummy $ac_cv_prog_CC
599 shift
600 if test $# -gt 0; then
601 # We chose a different compiler from the bogus one.
602 # However, it has the same basename, so the bogon will be chosen
603 # first if we set CC to just the basename; use the full file name.
604 shift
605 set dummy "$ac_dir/$ac_word" "$@"
606 shift
607 ac_cv_prog_CC="$@"
612 CC="$ac_cv_prog_CC"
613 if test -n "$CC"; then
614 echo "$ac_t""$CC" 1>&6
615 else
616 echo "$ac_t""no" 1>&6
619 if test -z "$CC"; then
620 case "`uname -s`" in
621 *win32* | *WIN32*)
622 # Extract the first word of "cl", so it can be a program name with args.
623 set dummy cl; ac_word=$2
624 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
625 echo "configure:626: checking for $ac_word" >&5
626 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
627 echo $ac_n "(cached) $ac_c" 1>&6
628 else
629 if test -n "$CC"; then
630 ac_cv_prog_CC="$CC" # Let the user override the test.
631 else
632 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
633 ac_dummy="$PATH"
634 for ac_dir in $ac_dummy; do
635 test -z "$ac_dir" && ac_dir=.
636 if test -f $ac_dir/$ac_word; then
637 ac_cv_prog_CC="cl"
638 break
640 done
641 IFS="$ac_save_ifs"
644 CC="$ac_cv_prog_CC"
645 if test -n "$CC"; then
646 echo "$ac_t""$CC" 1>&6
647 else
648 echo "$ac_t""no" 1>&6
651 esac
653 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
657 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
658 echo "configure:659: checking whether we are using GNU C" >&5
659 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
660 echo $ac_n "(cached) $ac_c" 1>&6
661 else
662 cat > conftest.c <<EOF
663 #ifdef __GNUC__
664 yes;
665 #endif
667 if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:668: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
668 ac_cv_prog_gcc=yes
669 else
670 ac_cv_prog_gcc=no
674 echo "$ac_t""$ac_cv_prog_gcc" 1>&6
676 if test $ac_cv_prog_gcc = yes; then
677 GCC=yes
678 else
679 GCC=
682 ac_test_CFLAGS="${CFLAGS+set}"
683 ac_save_CFLAGS="$CFLAGS"
684 CFLAGS=
685 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
686 echo "configure:687: checking whether ${CC-cc} accepts -g" >&5
687 if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
688 echo $ac_n "(cached) $ac_c" 1>&6
689 else
690 echo 'void f(){}' > conftest.c
691 if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
692 ac_cv_prog_cc_g=yes
693 else
694 ac_cv_prog_cc_g=no
696 rm -f conftest*
700 echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
701 if test "$ac_test_CFLAGS" = set; then
702 CFLAGS="$ac_save_CFLAGS"
703 elif test $ac_cv_prog_cc_g = yes; then
704 if test "$GCC" = yes; then
705 CFLAGS="-g -O2"
706 else
707 CFLAGS="-g"
709 else
710 if test "$GCC" = yes; then
711 CFLAGS="-O2"
712 else
713 CFLAGS=
718 LIBTOOL='$(SHELL) ../libtool'
721 test "$AR" || AR=ar
723 if test "$RANLIB"; then :
725 else
726 # Extract the first word of "ranlib", so it can be a program name with args.
727 set dummy ranlib; ac_word=$2
728 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
729 echo "configure:730: checking for $ac_word" >&5
730 if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
731 echo $ac_n "(cached) $ac_c" 1>&6
732 else
733 if test -n "$RANLIB"; then
734 ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
735 else
736 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
737 ac_dummy="$PATH"
738 for ac_dir in $ac_dummy; do
739 test -z "$ac_dir" && ac_dir=.
740 if test -f $ac_dir/$ac_word; then
741 ac_cv_prog_RANLIB="ranlib"
742 break
744 done
745 IFS="$ac_save_ifs"
746 test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB=":"
749 RANLIB="$ac_cv_prog_RANLIB"
750 if test -n "$RANLIB"; then
751 echo "$ac_t""$RANLIB" 1>&6
752 else
753 echo "$ac_t""no" 1>&6
757 echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
758 echo "configure:759: checking whether ${MAKE-make} sets \${MAKE}" >&5
759 set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
760 if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
761 echo $ac_n "(cached) $ac_c" 1>&6
762 else
763 cat > conftestmake <<\EOF
764 all:
765 @echo 'ac_maketemp="${MAKE}"'
767 # GNU make sometimes prints "make[1]: Entering...", which would confuse us.
768 eval `${MAKE-make} -f conftestmake 2>/dev/null | grep temp=`
769 if test -n "$ac_maketemp"; then
770 eval ac_cv_prog_make_${ac_make}_set=yes
771 else
772 eval ac_cv_prog_make_${ac_make}_set=no
774 rm -f conftestmake
776 if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
777 echo "$ac_t""yes" 1>&6
778 SET_MAKE=
779 else
780 echo "$ac_t""no" 1>&6
781 SET_MAKE="MAKE=${MAKE-make}"
786 # Sanity check for the cross-compilation case:
787 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
788 echo "configure:789: checking how to run the C preprocessor" >&5
789 # On Suns, sometimes $CPP names a directory.
790 if test -n "$CPP" && test -d "$CPP"; then
791 CPP=
793 if test -z "$CPP"; then
794 if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
795 echo $ac_n "(cached) $ac_c" 1>&6
796 else
797 # This must be in double quotes, not single quotes, because CPP may get
798 # substituted into the Makefile and "${CC-cc}" will confuse make.
799 CPP="${CC-cc} -E"
800 # On the NeXT, cc -E runs the code through the compiler's parser,
801 # not just through cpp.
802 cat > conftest.$ac_ext <<EOF
803 #line 804 "configure"
804 #include "confdefs.h"
805 #include <assert.h>
806 Syntax Error
808 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
809 { (eval echo configure:810: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
810 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
811 if test -z "$ac_err"; then
813 else
814 echo "$ac_err" >&5
815 echo "configure: failed program was:" >&5
816 cat conftest.$ac_ext >&5
817 rm -rf conftest*
818 CPP="${CC-cc} -E -traditional-cpp"
819 cat > conftest.$ac_ext <<EOF
820 #line 821 "configure"
821 #include "confdefs.h"
822 #include <assert.h>
823 Syntax Error
825 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
826 { (eval echo configure:827: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
827 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
828 if test -z "$ac_err"; then
830 else
831 echo "$ac_err" >&5
832 echo "configure: failed program was:" >&5
833 cat conftest.$ac_ext >&5
834 rm -rf conftest*
835 CPP="${CC-cc} -nologo -E"
836 cat > conftest.$ac_ext <<EOF
837 #line 838 "configure"
838 #include "confdefs.h"
839 #include <assert.h>
840 Syntax Error
842 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
843 { (eval echo configure:844: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
844 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
845 if test -z "$ac_err"; then
847 else
848 echo "$ac_err" >&5
849 echo "configure: failed program was:" >&5
850 cat conftest.$ac_ext >&5
851 rm -rf conftest*
852 CPP=/lib/cpp
854 rm -f conftest*
856 rm -f conftest*
858 rm -f conftest*
859 ac_cv_prog_CPP="$CPP"
861 CPP="$ac_cv_prog_CPP"
862 else
863 ac_cv_prog_CPP="$CPP"
865 echo "$ac_t""$CPP" 1>&6
867 ac_safe=`echo "stdio.h" | sed 'y%./+-%__p_%'`
868 echo $ac_n "checking for stdio.h""... $ac_c" 1>&6
869 echo "configure:870: checking for stdio.h" >&5
870 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
871 echo $ac_n "(cached) $ac_c" 1>&6
872 else
873 cat > conftest.$ac_ext <<EOF
874 #line 875 "configure"
875 #include "confdefs.h"
876 #include <stdio.h>
878 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
879 { (eval echo configure:880: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
880 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
881 if test -z "$ac_err"; then
882 rm -rf conftest*
883 eval "ac_cv_header_$ac_safe=yes"
884 else
885 echo "$ac_err" >&5
886 echo "configure: failed program was:" >&5
887 cat conftest.$ac_ext >&5
888 rm -rf conftest*
889 eval "ac_cv_header_$ac_safe=no"
891 rm -f conftest*
893 if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
894 echo "$ac_t""yes" 1>&6
896 else
897 echo "$ac_t""no" 1>&6
898 { echo "configure: error: Can't find stdio.h.
899 You must have a usable C system for the target already installed, at least
900 including headers and, preferably, the library, before you can configure
901 the G77 runtime system. If necessary, install gcc now with \`LANGUAGES=c',
902 then the target library, then build with \`LANGUAGES=f77'." 1>&2; exit 1; }
906 echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
907 echo "configure:908: checking for ANSI C header files" >&5
908 if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
909 echo $ac_n "(cached) $ac_c" 1>&6
910 else
911 cat > conftest.$ac_ext <<EOF
912 #line 913 "configure"
913 #include "confdefs.h"
914 #include <stdlib.h>
915 #include <stdarg.h>
916 #include <string.h>
917 #include <float.h>
919 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
920 { (eval echo configure:921: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
921 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
922 if test -z "$ac_err"; then
923 rm -rf conftest*
924 ac_cv_header_stdc=yes
925 else
926 echo "$ac_err" >&5
927 echo "configure: failed program was:" >&5
928 cat conftest.$ac_ext >&5
929 rm -rf conftest*
930 ac_cv_header_stdc=no
932 rm -f conftest*
934 if test $ac_cv_header_stdc = yes; then
935 # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
936 cat > conftest.$ac_ext <<EOF
937 #line 938 "configure"
938 #include "confdefs.h"
939 #include <string.h>
941 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
942 egrep "memchr" >/dev/null 2>&1; then
944 else
945 rm -rf conftest*
946 ac_cv_header_stdc=no
948 rm -f conftest*
952 if test $ac_cv_header_stdc = yes; then
953 # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
954 cat > conftest.$ac_ext <<EOF
955 #line 956 "configure"
956 #include "confdefs.h"
957 #include <stdlib.h>
959 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
960 egrep "free" >/dev/null 2>&1; then
962 else
963 rm -rf conftest*
964 ac_cv_header_stdc=no
966 rm -f conftest*
970 if test $ac_cv_header_stdc = yes; then
971 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
972 if test "$cross_compiling" = yes; then
974 else
975 cat > conftest.$ac_ext <<EOF
976 #line 977 "configure"
977 #include "confdefs.h"
978 #include <ctype.h>
979 #define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
980 #define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
981 #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
982 int main () { int i; for (i = 0; i < 256; i++)
983 if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
984 exit (0); }
987 if { (eval echo configure:988: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
988 then
990 else
991 echo "configure: failed program was:" >&5
992 cat conftest.$ac_ext >&5
993 rm -fr conftest*
994 ac_cv_header_stdc=no
996 rm -fr conftest*
1002 echo "$ac_t""$ac_cv_header_stdc" 1>&6
1003 if test $ac_cv_header_stdc = yes; then
1004 cat >> confdefs.h <<\EOF
1005 #define STDC_HEADERS 1
1011 echo $ac_n "checking for posix""... $ac_c" 1>&6
1012 echo "configure:1013: checking for posix" >&5
1013 if eval "test \"`echo '$''{'g77_cv_header_posix'+set}'`\" = set"; then
1014 echo $ac_n "(cached) $ac_c" 1>&6
1015 else
1016 cat > conftest.$ac_ext <<EOF
1017 #line 1018 "configure"
1018 #include "confdefs.h"
1019 #include <sys/types.h>
1020 #include <unistd.h>
1021 #ifdef _POSIX_VERSION
1023 #endif
1026 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1027 egrep "yes" >/dev/null 2>&1; then
1028 rm -rf conftest*
1029 g77_cv_header_posix=yes
1030 else
1031 rm -rf conftest*
1032 g77_cv_header_posix=no
1034 rm -f conftest*
1038 echo "$ac_t""$g77_cv_header_posix" 1>&6
1040 # We can rely on the GNU library being posix-ish. I guess checking the
1041 # header isn't actually like checking the functions, though...
1042 echo $ac_n "checking for GNU library""... $ac_c" 1>&6
1043 echo "configure:1044: checking for GNU library" >&5
1044 if eval "test \"`echo '$''{'g77_cv_lib_gnu'+set}'`\" = set"; then
1045 echo $ac_n "(cached) $ac_c" 1>&6
1046 else
1047 cat > conftest.$ac_ext <<EOF
1048 #line 1049 "configure"
1049 #include "confdefs.h"
1050 #include <stdio.h>
1051 #ifdef __GNU_LIBRARY__
1053 #endif
1056 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1057 egrep "yes" >/dev/null 2>&1; then
1058 rm -rf conftest*
1059 g77_cv_lib_gnu=yes
1060 else
1061 rm -rf conftest*
1062 g77_cv_lib_gnu=no
1064 rm -f conftest*
1068 echo "$ac_t""$g77_cv_lib_gnu" 1>&6
1070 echo $ac_n "checking return type of signal handlers""... $ac_c" 1>&6
1071 echo "configure:1072: checking return type of signal handlers" >&5
1072 if eval "test \"`echo '$''{'ac_cv_type_signal'+set}'`\" = set"; then
1073 echo $ac_n "(cached) $ac_c" 1>&6
1074 else
1075 cat > conftest.$ac_ext <<EOF
1076 #line 1077 "configure"
1077 #include "confdefs.h"
1078 #include <sys/types.h>
1079 #include <signal.h>
1080 #ifdef signal
1081 #undef signal
1082 #endif
1083 #ifdef __cplusplus
1084 extern "C" void (*signal (int, void (*)(int)))(int);
1085 #else
1086 void (*signal ()) ();
1087 #endif
1089 int main() {
1090 int i;
1091 ; return 0; }
1093 if { (eval echo configure:1094: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1094 rm -rf conftest*
1095 ac_cv_type_signal=void
1096 else
1097 echo "configure: failed program was:" >&5
1098 cat conftest.$ac_ext >&5
1099 rm -rf conftest*
1100 ac_cv_type_signal=int
1102 rm -f conftest*
1105 echo "$ac_t""$ac_cv_type_signal" 1>&6
1106 cat >> confdefs.h <<EOF
1107 #define RETSIGTYPE $ac_cv_type_signal
1111 # we'll get atexit by default
1112 if test $ac_cv_header_stdc != yes; then
1113 echo $ac_n "checking for atexit""... $ac_c" 1>&6
1114 echo "configure:1115: checking for atexit" >&5
1115 if eval "test \"`echo '$''{'ac_cv_func_atexit'+set}'`\" = set"; then
1116 echo $ac_n "(cached) $ac_c" 1>&6
1117 else
1118 cat > conftest.$ac_ext <<EOF
1119 #line 1120 "configure"
1120 #include "confdefs.h"
1121 /* System header to define __stub macros and hopefully few prototypes,
1122 which can conflict with char atexit(); below. */
1123 #include <assert.h>
1124 /* Override any gcc2 internal prototype to avoid an error. */
1125 /* We use char because int might match the return type of a gcc2
1126 builtin and then its argument prototype would still apply. */
1127 char atexit();
1129 int main() {
1131 /* The GNU C library defines this for functions which it implements
1132 to always fail with ENOSYS. Some functions are actually named
1133 something starting with __ and the normal name is an alias. */
1134 #if defined (__stub_atexit) || defined (__stub___atexit)
1135 choke me
1136 #else
1137 atexit();
1138 #endif
1140 ; return 0; }
1142 if { (eval echo configure:1143: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1143 rm -rf conftest*
1144 eval "ac_cv_func_atexit=yes"
1145 else
1146 echo "configure: failed program was:" >&5
1147 cat conftest.$ac_ext >&5
1148 rm -rf conftest*
1149 eval "ac_cv_func_atexit=no"
1151 rm -f conftest*
1154 if eval "test \"`echo '$ac_cv_func_'atexit`\" = yes"; then
1155 echo "$ac_t""yes" 1>&6
1156 cat >> confdefs.h <<\EOF
1157 #define onexit atexit
1160 else
1161 echo "$ac_t""no" 1>&6
1162 cat >> confdefs.h <<\EOF
1163 #define NO_ONEXIT 1
1166 echo $ac_n "checking for onexit""... $ac_c" 1>&6
1167 echo "configure:1168: checking for onexit" >&5
1168 if eval "test \"`echo '$''{'ac_cv_func_onexit'+set}'`\" = set"; then
1169 echo $ac_n "(cached) $ac_c" 1>&6
1170 else
1171 cat > conftest.$ac_ext <<EOF
1172 #line 1173 "configure"
1173 #include "confdefs.h"
1174 /* System header to define __stub macros and hopefully few prototypes,
1175 which can conflict with char onexit(); below. */
1176 #include <assert.h>
1177 /* Override any gcc2 internal prototype to avoid an error. */
1178 /* We use char because int might match the return type of a gcc2
1179 builtin and then its argument prototype would still apply. */
1180 char onexit();
1182 int main() {
1184 /* The GNU C library defines this for functions which it implements
1185 to always fail with ENOSYS. Some functions are actually named
1186 something starting with __ and the normal name is an alias. */
1187 #if defined (__stub_onexit) || defined (__stub___onexit)
1188 choke me
1189 #else
1190 onexit();
1191 #endif
1193 ; return 0; }
1195 if { (eval echo configure:1196: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1196 rm -rf conftest*
1197 eval "ac_cv_func_onexit=yes"
1198 else
1199 echo "configure: failed program was:" >&5
1200 cat conftest.$ac_ext >&5
1201 rm -rf conftest*
1202 eval "ac_cv_func_onexit=no"
1204 rm -f conftest*
1207 if eval "test \"`echo '$ac_cv_func_'onexit`\" = yes"; then
1208 echo "$ac_t""yes" 1>&6
1210 else
1211 echo "$ac_t""no" 1>&6
1212 echo $ac_n "checking for on_exit""... $ac_c" 1>&6
1213 echo "configure:1214: checking for on_exit" >&5
1214 if eval "test \"`echo '$''{'ac_cv_func_on_exit'+set}'`\" = set"; then
1215 echo $ac_n "(cached) $ac_c" 1>&6
1216 else
1217 cat > conftest.$ac_ext <<EOF
1218 #line 1219 "configure"
1219 #include "confdefs.h"
1220 /* System header to define __stub macros and hopefully few prototypes,
1221 which can conflict with char on_exit(); below. */
1222 #include <assert.h>
1223 /* Override any gcc2 internal prototype to avoid an error. */
1224 /* We use char because int might match the return type of a gcc2
1225 builtin and then its argument prototype would still apply. */
1226 char on_exit();
1228 int main() {
1230 /* The GNU C library defines this for functions which it implements
1231 to always fail with ENOSYS. Some functions are actually named
1232 something starting with __ and the normal name is an alias. */
1233 #if defined (__stub_on_exit) || defined (__stub___on_exit)
1234 choke me
1235 #else
1236 on_exit();
1237 #endif
1239 ; return 0; }
1241 if { (eval echo configure:1242: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1242 rm -rf conftest*
1243 eval "ac_cv_func_on_exit=yes"
1244 else
1245 echo "configure: failed program was:" >&5
1246 cat conftest.$ac_ext >&5
1247 rm -rf conftest*
1248 eval "ac_cv_func_on_exit=no"
1250 rm -f conftest*
1253 if eval "test \"`echo '$ac_cv_func_'on_exit`\" = yes"; then
1254 echo "$ac_t""yes" 1>&6
1255 cat >> confdefs.h <<\EOF
1256 #define onexit on_exit
1259 else
1260 echo "$ac_t""no" 1>&6
1267 else true
1270 echo $ac_n "checking for drem in -lm""... $ac_c" 1>&6
1271 echo "configure:1272: checking for drem in -lm" >&5
1272 ac_lib_var=`echo m'_'drem | sed 'y%./+-%__p_%'`
1273 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1274 echo $ac_n "(cached) $ac_c" 1>&6
1275 else
1276 ac_save_LIBS="$LIBS"
1277 LIBS="-lm $LIBS"
1278 cat > conftest.$ac_ext <<EOF
1279 #line 1280 "configure"
1280 #include "confdefs.h"
1281 /* Override any gcc2 internal prototype to avoid an error. */
1282 /* We use char because int might match the return type of a gcc2
1283 builtin and then its argument prototype would still apply. */
1284 char drem();
1286 int main() {
1287 drem()
1288 ; return 0; }
1290 if { (eval echo configure:1291: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1291 rm -rf conftest*
1292 eval "ac_cv_lib_$ac_lib_var=yes"
1293 else
1294 echo "configure: failed program was:" >&5
1295 cat conftest.$ac_ext >&5
1296 rm -rf conftest*
1297 eval "ac_cv_lib_$ac_lib_var=no"
1299 rm -f conftest*
1300 LIBS="$ac_save_LIBS"
1303 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1304 echo "$ac_t""yes" 1>&6
1305 cat >> confdefs.h <<\EOF
1306 #define IEEE_drem 1
1309 else
1310 echo "$ac_t""no" 1>&6
1314 cat >> confdefs.h <<\EOF
1315 #define Skip_f2c_Undefs 1
1318 cat >> confdefs.h <<\EOF
1319 #define IEEE_COMPLEX_DIVIDE 1
1323 trap '' 1 2 15
1324 cat > confcache <<\EOF
1325 # This file is a shell script that caches the results of configure
1326 # tests run on this system so they can be shared between configure
1327 # scripts and configure runs. It is not useful on other systems.
1328 # If it contains results you don't want to keep, you may remove or edit it.
1330 # By default, configure uses ./config.cache as the cache file,
1331 # creating it if it does not exist already. You can give configure
1332 # the --cache-file=FILE option to use a different cache file; that is
1333 # what configure does when it calls configure scripts in
1334 # subdirectories, so they share the cache.
1335 # Giving --cache-file=/dev/null disables caching, for debugging configure.
1336 # config.status only pays attention to the cache file if you give it the
1337 # --recheck option to rerun configure.
1340 # The following way of writing the cache mishandles newlines in values,
1341 # but we know of no workaround that is simple, portable, and efficient.
1342 # So, don't put newlines in cache variables' values.
1343 # Ultrix sh set writes to stderr and can't be redirected directly,
1344 # and sets the high bit in the cache file unless we assign to the vars.
1345 (set) 2>&1 |
1346 case `(ac_space=' '; set | grep ac_space) 2>&1` in
1347 *ac_space=\ *)
1348 # `set' does not quote correctly, so add quotes (double-quote substitution
1349 # turns \\\\ into \\, and sed turns \\ into \).
1350 sed -n \
1351 -e "s/'/'\\\\''/g" \
1352 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1355 # `set' quotes correctly as required by POSIX, so do not add quotes.
1356 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1358 esac >> confcache
1359 if cmp -s $cache_file confcache; then
1361 else
1362 if test -w $cache_file; then
1363 echo "updating cache $cache_file"
1364 cat confcache > $cache_file
1365 else
1366 echo "not updating unwritable cache $cache_file"
1369 rm -f confcache
1371 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1373 test "x$prefix" = xNONE && prefix=$ac_default_prefix
1374 # Let make expand exec_prefix.
1375 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1377 # Any assignment to VPATH causes Sun make to only execute
1378 # the first set of double-colon rules, so remove it if not needed.
1379 # If there is a colon in the path, we need to keep it.
1380 if test "x$srcdir" = x.; then
1381 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1384 trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1386 # Transform confdefs.h into DEFS.
1387 # Protect against shell expansion while executing Makefile rules.
1388 # Protect against Makefile macro expansion.
1389 cat > conftest.defs <<\EOF
1390 s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
1391 s%[ `~#$^&*(){}\\|;'"<>?]%\\&%g
1392 s%\[%\\&%g
1393 s%\]%\\&%g
1394 s%\$%$$%g
1396 DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
1397 rm -f conftest.defs
1400 # Without the "./", some shells look in PATH for config.status.
1401 : ${CONFIG_STATUS=./config.status}
1403 echo creating $CONFIG_STATUS
1404 rm -f $CONFIG_STATUS
1405 cat > $CONFIG_STATUS <<EOF
1406 #! /bin/sh
1407 # Generated automatically by configure.
1408 # Run this file to recreate the current configuration.
1409 # This directory was configured as follows,
1410 # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1412 # $0 $ac_configure_args
1414 # Compiler output produced by configure, useful for debugging
1415 # configure, is in ./config.log if it exists.
1417 ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1418 for ac_option
1420 case "\$ac_option" in
1421 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1422 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1423 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1424 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1425 echo "$CONFIG_STATUS generated by autoconf version 2.13"
1426 exit 0 ;;
1427 -help | --help | --hel | --he | --h)
1428 echo "\$ac_cs_usage"; exit 0 ;;
1429 *) echo "\$ac_cs_usage"; exit 1 ;;
1430 esac
1431 done
1433 ac_given_srcdir=$srcdir
1435 trap 'rm -fr `echo "Makefile" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1437 cat >> $CONFIG_STATUS <<EOF
1439 # Protect against being on the right side of a sed subst in config.status.
1440 sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1441 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1442 $ac_vpsub
1443 $extrasub
1444 s%@SHELL@%$SHELL%g
1445 s%@CFLAGS@%$CFLAGS%g
1446 s%@CPPFLAGS@%$CPPFLAGS%g
1447 s%@CXXFLAGS@%$CXXFLAGS%g
1448 s%@FFLAGS@%$FFLAGS%g
1449 s%@DEFS@%$DEFS%g
1450 s%@LDFLAGS@%$LDFLAGS%g
1451 s%@LIBS@%$LIBS%g
1452 s%@exec_prefix@%$exec_prefix%g
1453 s%@prefix@%$prefix%g
1454 s%@program_transform_name@%$program_transform_name%g
1455 s%@bindir@%$bindir%g
1456 s%@sbindir@%$sbindir%g
1457 s%@libexecdir@%$libexecdir%g
1458 s%@datadir@%$datadir%g
1459 s%@sysconfdir@%$sysconfdir%g
1460 s%@sharedstatedir@%$sharedstatedir%g
1461 s%@localstatedir@%$localstatedir%g
1462 s%@libdir@%$libdir%g
1463 s%@includedir@%$includedir%g
1464 s%@oldincludedir@%$oldincludedir%g
1465 s%@infodir@%$infodir%g
1466 s%@mandir@%$mandir%g
1467 s%@CC@%$CC%g
1468 s%@LIBTOOL@%$LIBTOOL%g
1469 s%@AR@%$AR%g
1470 s%@RANLIB@%$RANLIB%g
1471 s%@SET_MAKE@%$SET_MAKE%g
1472 s%@CPP@%$CPP%g
1474 CEOF
1477 cat >> $CONFIG_STATUS <<\EOF
1479 # Split the substitutions into bite-sized pieces for seds with
1480 # small command number limits, like on Digital OSF/1 and HP-UX.
1481 ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1482 ac_file=1 # Number of current file.
1483 ac_beg=1 # First line for current file.
1484 ac_end=$ac_max_sed_cmds # Line after last line for current file.
1485 ac_more_lines=:
1486 ac_sed_cmds=""
1487 while $ac_more_lines; do
1488 if test $ac_beg -gt 1; then
1489 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1490 else
1491 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1493 if test ! -s conftest.s$ac_file; then
1494 ac_more_lines=false
1495 rm -f conftest.s$ac_file
1496 else
1497 if test -z "$ac_sed_cmds"; then
1498 ac_sed_cmds="sed -f conftest.s$ac_file"
1499 else
1500 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1502 ac_file=`expr $ac_file + 1`
1503 ac_beg=$ac_end
1504 ac_end=`expr $ac_end + $ac_max_sed_cmds`
1506 done
1507 if test -z "$ac_sed_cmds"; then
1508 ac_sed_cmds=cat
1512 cat >> $CONFIG_STATUS <<EOF
1514 CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1516 cat >> $CONFIG_STATUS <<\EOF
1517 for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1518 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1519 case "$ac_file" in
1520 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1521 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1522 *) ac_file_in="${ac_file}.in" ;;
1523 esac
1525 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1527 # Remove last slash and all that follows it. Not all systems have dirname.
1528 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1529 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1530 # The file is in a subdirectory.
1531 test ! -d "$ac_dir" && mkdir "$ac_dir"
1532 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1533 # A "../" for each directory in $ac_dir_suffix.
1534 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1535 else
1536 ac_dir_suffix= ac_dots=
1539 case "$ac_given_srcdir" in
1540 .) srcdir=.
1541 if test -z "$ac_dots"; then top_srcdir=.
1542 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1543 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1544 *) # Relative path.
1545 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1546 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1547 esac
1550 echo creating "$ac_file"
1551 rm -f "$ac_file"
1552 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1553 case "$ac_file" in
1554 *Makefile*) ac_comsub="1i\\
1555 # $configure_input" ;;
1556 *) ac_comsub= ;;
1557 esac
1559 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1560 sed -e "$ac_comsub
1561 s%@configure_input@%$configure_input%g
1562 s%@srcdir@%$srcdir%g
1563 s%@top_srcdir@%$top_srcdir%g
1564 " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1565 fi; done
1566 rm -f conftest.s*
1569 cat >> $CONFIG_STATUS <<EOF
1572 cat >> $CONFIG_STATUS <<\EOF
1574 exit 0
1576 chmod +x $CONFIG_STATUS
1577 rm -fr confdefs* $ac_clean_files
1578 test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1